Cyberduck Mountain Duck CLI

#8974 closed defect (fixed)

Crash in NSNotificationCenter opening panel to select file upload

Reported by: catedsel Owned by: Catherine Edsel
Priority: normal Milestone:
Component: core Version: 4.7.2
Severity: normal Keywords: crash
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Cyberduck crashes after it's been open for awhile and I try to upload a file. Working on a MacBook Pro, OSX version 10.9.5. No message within log drawer. Error message pops up after the crash and says:

Process:         Cyberduck [1697]
Path:            /Applications/Cyberduck.app/Contents/MacOS/Cyberduck
Identifier:      ch.sudo.cyberduck
Version:         4.7.2 (17998)
App Item ID:     409222199
App External ID: 812991952
Code Type:       X86-64 (Native)
Parent Process:  launchd [140]
Responsible:     Cyberduck [1697]
User ID:         501

Date/Time:       2015-08-15 21:03:45.455 -0500
OS Version:      Mac OS X 10.9.5 (13F1112)
Report Version:  11
Anonymous UUID:  F8486D58-9280-E590-3E23-16DB1DF43174

Sleep/Wake UUID: 3558E4E2-3971-48EC-A502-70C252B5094B

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000018

VM Regions Near 0x18:
--> 
    __TEXT                 00000001062f4000-0000000106305000 [   68K] r-x/rwx SM=COW  /Applications/Cyberduck.app/Contents/MacOS/Cyberduck

Application Specific Information:
Performing @selector(uploadButtonClicked:) from sender NSMenuItem 0x6180000b9c20
abort() called

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff91593866 __pthread_kill + 10
1   libsystem_pthread.dylib       	0x00007fff8c85a35c pthread_kill + 92
2   libsystem_c.dylib             	0x00007fff93ea8b1a abort + 125
3   libjvm.dylib                  	0x00000001069db7bb os::abort(bool) + 25
4   libjvm.dylib                  	0x0000000106af8cb4 VMError::report_and_die() + 2250
5   libjvm.dylib                  	0x00000001069dd41e JVM_handle_bsd_signal + 1131
6   libjvm.dylib                  	0x00000001069d96c3 signalHandler(int, __siginfo*, void*) + 47
7   libsystem_platform.dylib      	0x00007fff95a2a5aa _sigtramp + 26
8   libobjc.A.dylib               	0x00007fff89719097 objc_msgSend + 23
9   com.apple.CoreFoundation      	0x00007fff8b9b9e0c __CFNOTIFICATIONCENTER_IS_CALLING_OUT_TO_AN_OBSERVER__ + 12
10  com.apple.CoreFoundation      	0x00007fff8b8ad82d _CFXNotificationPost + 2893
11  com.apple.Foundation          	0x00007fff92a91dda -[NSNotificationCenter postNotificationName:object:userInfo:] + 68
12  com.apple.AppKit              	0x00007fff95ba2dc1 -[NSWindow _reallyDoOrderWindow:relativeTo:findKey:forCounter:force:isModal:] + 1727
13  com.apple.AppKit              	0x00007fff95ba2460 -[NSWindow _doOrderWindow:relativeTo:findKey:forCounter:force:isModal:] + 786
14  com.apple.AppKit              	0x00007fff95da602c -[NSApplication _orderFrontModalWindow:relativeToWindow:] + 270
15  com.apple.AppKit              	0x00007fff95da5c11 -[NSApplication _commonBeginModalSessionForWindow:relativeToWindow:modalDelegate:didEndSelector:contextInfo:] + 793
16  com.apple.AppKit              	0x00007fff962f3aed -[NSVBSavePanel beginSheetModalForWindow:completionHandler:] + 241
17  com.apple.AppKit              	0x00007fff962f421e -[NSVBSavePanel beginSheetForDirectory:file:types:modalForWindow:modalDelegate:didEndSelector:contextInfo:] + 300
18  com.apple.AppKit              	0x00007fff962f432f -[NSVBSavePanel beginSheetForDirectory:file:modalForWindow:modalDelegate:didEndSelector:contextInfo:] + 52
19  libjnidispatch.dylib          	0x000000012388294c ffi_call_unix64 + 76
20  libjnidispatch.dylib          	0x0000000123882456 ffi_call + 630
21  libjnidispatch.dylib          	0x00000001238792f5 Java_com_sun_jna_Native_ffi_1prep_1cif + 1621
22  libjnidispatch.dylib          	0x0000000123879772 Java_com_sun_jna_Native_invokeVoid + 34
23  ???                           	0x0000000107b19c4e 0 + 4424047694
24  ???                           	0x0000000107b12a88 0 + 4424018568

Change History (3)

comment:1 Changed on Aug 17, 2015 at 11:17:54 AM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 17, 2015 at 11:20:31 AM by dkocher

  • Summary changed from Crashing when trying to upload a file to Crash in NSNotificationCenter opening panel to select file upload

comment:3 Changed on Aug 24, 2015 at 9:26:30 AM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r18031.

Last edited on Aug 24, 2015 at 9:26:48 AM by dkocher (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software